## org.eclipse.uml2.uml
Interface Comment

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Comment

extends Element

A representation of the model object 'Comment'. A comment is a textual annotation that can be attached to a set of elements.

The following features are supported:

- `Body`
- `Annotated Element`

See Also:
  `UMLPackage.getComment()`

Method Summary
`org.eclipse.emf.common.util.EList<Element>` `getAnnotatedElements()` Returns the value of the 'Annotated Element' reference list.
`java.lang.String` `getBody()` Returns the value of the 'Body' attribute
`boolean` `isSetBody()` Returns whether the value of the '`Body`' attribute is set
`void` `setBody(java.lang.String value)` Sets the value of the '`Body`' attribute
`void` `unsetBody()` Unsets the value of the '`Body`' attribute

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBody

    java.lang.String getBody()

  Returns the value of the 'Body' attribute. Specifies a string that is the comment.

  Returns:
    the value of the 'Body' attribute.
  See Also:
    `isSetBody()`, `unsetBody()`, `setBody(String)`, `UMLPackage.getComment_Body()`

### setBody

    void setBody(java.lang.String value)

  Sets the value of the '`Body`' attribute.

  Parameters:
    `value` - the new value of the 'Body' attribute.
  See Also:
    `isSetBody()`, `unsetBody()`, `getBody()`

### unsetBody

    void unsetBody()

  Unsets the value of the '`Body`' attribute.

  See Also:
    `isSetBody()`, `getBody()`, `setBody(String)`

### isSetBody

    boolean isSetBody()

  Returns whether the value of the '`Body`' attribute is set.

  Returns:
    whether the value of the 'Body' attribute is set.
  See Also:
    `unsetBody()`, `getBody()`, `setBody(String)`

### getAnnotatedElements

    org.eclipse.emf.common.util.EList<Element> getAnnotatedElements()

  Returns the value of the 'Annotated Element' reference list. The list contents are of type `Element`. References the Element(s) being commented.

  Returns:
    the value of the 'Annotated Element' reference list.
  See Also:
    `UMLPackage.getComment_AnnotatedElement()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.